Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155888 - perl-suidperl package has an extra .1 release suffix
Summary: perl-suidperl package has an extra .1 release suffix
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: perl
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Petr Rockai
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks: 156322 perl_RHEL4
TreeView+ depends on / blocked
 
Reported: 2005-04-25 13:15 UTC by Jos Vos
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHSA-2005-674
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 12:33:25 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:674 qe-ready SHIPPED_LIVE Low: perl security update 2005-10-05 04:00:00 UTC

Description Jos Vos 2005-04-25 13:15:29 UTC
Description of problem:
The "Release:" tag in the perl.spec file for the suidperl subpackage contains a
.1 suffix, which is an left-over from an old change, I guess.

Version-Release number of selected component (if applicable):
5.8.5-12

Additional comments:
As soon as the %{perlrel} version is incremented, this .1 can be removed
(otherwise it will result in problems with update tools).

Comment 1 Warren Togami 2005-04-25 13:25:43 UTC
What update tools are you talking about?


Comment 2 Jos Vos 2005-04-25 13:32:27 UTC
I did not express myself clear: what I meant was that just releasing a
perl-suidperl package 5.8.5-12 would be considered older than the current
5.8.5-12.1, but the release number will of course always be incremented when
updating the spec file.

Comment 3 Warren Togami 2005-04-25 13:46:18 UTC
I fail to see how this is a bug.


Comment 4 Jos Vos 2005-04-25 13:51:29 UTC
Well, ok, it's in fact a RFE to remove in the next release the .1 suffix in the
perl-suidperl "Release:" tag.

Comment 5 Warren Togami 2005-04-25 21:26:38 UTC
Already happened in FC4 long ago.


Comment 14 Red Hat Bugzilla 2005-10-05 12:33:25 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-674.html



Note You need to log in before you can comment on or make changes to this bug.